#define _ARMA_
#define public 2


class CfgPatches
{
 class suburban_police
 {
  Units[] = {"suburban_police"};
  weapons[] = {};
  requiredVersion = 1;
  requiredAddons[] = {"CAData","CACharacters","CAWeapons","CASounds","CA_Anims_Char"};
 };
};
class CfgSkeletons
{
 class Vehicle;
 class Suburban_Bones
 {
  isDiscrete = 1;
  skeletonInherit = "";
  skeletonBones[] = {"volant","","levy predni tlumic","","pravy predni tlumic","","levy dalsi tlumic","","pravy dalsi tlumic","","levy predni zatoc","levy predni tlumic","pravy predni zatoc","pravy predni tlumic","levy dalsi zatoc","levy dalsi tlumic","pravy dalsi zatoc","pravy dalsi tlumic","levy prostredni tlumic","","pravy prostredni tlumic","","levy zadni tlumic","","pravy zadni tlumic","","levy predni","levy predni zatoc","pravy predni","pravy predni zatoc","levy dalsi","levy dalsi zatoc","pravy dalsi","pravy dalsi zatoc","levy prostredni","levy prostredni tlumic","pravy prostredni","pravy prostredni tlumic","levy zadni","levy zadni tlumic","pravy zadni","pravy zadni tlumic","ukaz_rychlo","","ukaz_rychlo2","","ukaz_rpm","","OtocVez","","OtocHlaven","OtocVez","fuel_01","","fuel_1","","prop_01","","prop_02","","prop_2","","prop_1","","damageHide","","damageVez","OtocVez","damageHlaven","OtocHlaven","sub_lights", "", "sub_lights_axis", "", "lightbar_lit", "", "lightbar", "", "sub_sirens", "", "sub_sirens_axis", "", "front_light_lit_right", "", "front_light_lit_left", "driver_door","driverdoor_axis","Pos_driverdoor",""};
 };
};

class Rotation;

class CfgModels
{
 class Vehicle;
 class Car
 {
  sectionsInherit = "";
  sections[] = {"ammo","sklo predni p","sklo predni l","zadni svetlo","brzdove svetlo","spz","karoserie","motor","zbran","vez","zbytek","levy predni","levy prostredni","levy zadni","pravy predni","pravy prostredni","pravy zadni","clan","clan_sign","zasleh","P svetlo","L svetlo","palivo","lightbar_lit","lightbar","sub_sirens","sub_sirens_axis", "front_light_lit_right", "front_light_lit_left"};
  skeletonName = "Suburban_Bones";
  
  hiddenSelections[] = {"lightbar_lit", "front_light_lit_right", "front_light_lit_left"};
  
  class Animations
  {
   class damageHide
   {
    type = "hide";
    source = "damage";
    selection = "damageHide";
   };
   class IndicatorSpeed
   {
    animPeriod = 0;
    type = "rotation";
    source = "speed";
    selection = "ukaz_rychlo";
    axis = "osa_rychlo";
    memory = 0;
    minValue = 0;
    maxValue = 16.67;
    angle0 = 0;
    angle1 = 2.87979;
   };
   class IndicatorSpeed2
   {
    type = "rotation";
    source = "speed";
    selection = "ukaz_rychlo2";
    axis = "osa_rychlo2";
    memory = "false";
    animPeriod = 0;
    minValue = 0;
    maxValue = 16.67;
    angle0 = 0;
    angle1 = "rad -240";
   };
   class IndicatorRPM
   {
    animPeriod = 0;
    type = "rotation";
    source = "rpm";
    selection = "ukaz_rpm";
    axis = "osa_rpm";
    memory = 0;
    minValue = 0;
    maxValue = 1;
    angle0 = 0;
    angle1 = 2.96706;
   };
   class DrivingWheel
   {
    type = "rotation";
    source = "drivingWheel";
    selection = "volant";
    begin = "osaVolantZac";
    end = "osaVolantKon";
    memory = "false";
    animPeriod = 0;
    minValue = -1;
    maxValue = 1;
    angle0 = -8;
    angle1 = 8;
   };
  
class driverdoor
   {
    type="rotation";
    animPeriod=2;
    selection="driver_door";
    axis="driverdoor_axis";
    angle0=0;
    angle1=rad -90;
   };
   class TurnFrontWheelR
   {
    type = "rotationY";
    source = "drivingWheel";
    selection = "pravy predni zatoc";
    axis = "pravy predni";
    memory = "false";
    animPeriod = 0;
    sourceAddress = "loop";
    minValue = "rad -180";
    maxValue = "rad +180";
    angle0 = "rad +90";
    angle1 = "rad -90";
   };
   class TurnFrontWheelL: TurnFrontWheelR
   {
    selection = "levy predni zatoc";
    axis = "levy predni";
   };
   class TurnFrontWheelR2: TurnFrontWheelR
   {
    selection = "pravy dalsi zatoc ";
    axis = "pravy dalsi";
   };
   class TurnFrontWheelL2: TurnFrontWheelR
   {
    selection = "levy dalsi zatoc ";
    axis = "levy dalsi";
   };
   class FrontWheelR
   {
    type = "rotationX";
    source = "wheel";
    selection = "pravy predni";
    axis = "";
    memory = "true";
    animPeriod = 0;
    sourceAddress = "loop";
    minValue = 0;
    maxValue = 1;
    angle0 = 0;
    angle1 = "rad -360";
   };
   class FrontWheel2R: FrontWheelR
   {
    selection = "pravy dalsi";
   };
   class BackWheelR: FrontWheelR
   {
    selection = "pravy zadni";
   };
   class BackWheel2R: FrontWheelR
   {
    selection = "pravy prostredni";
   };
   class FrontWheelL: FrontWheelR
   {
    selection = "levy predni";
   };
   class FrontWheel2L: FrontWheelR
   {
    selection = "levy dalsi";
   };
   class BackWheelL: FrontWheelR
   {
    selection = "levy zadni";
   };
   class BackWheel2L: FrontWheelR
   {
    selection = "levy prostredni";
   };
   class FrontWheelDamperR
   {
    type = "translationY";
    source = "damper";
    selection = "pravy predni tlumic";
    axis = "";
    animPeriod = 0;
    minValue = -1000;
    maxValue = 1000;
   };
   class FrontWheelDamper2R: FrontWheelDamperR
   {
    selection = "pravy dalsi tlumic";
   };
   class BackWheelDamperR: FrontWheelDamperR
   {
    selection = "pravy zadni tlumic";
   };
   class BackWheelDamper2R: FrontWheelDamperR
   {
    selection = "pravy prostredni tlumic";
   };
   class FrontWheelDamperL: FrontWheelDamperR
   {
    selection = "levy predni tlumic";
   };
   class FrontWheelDamper2L: FrontWheelDamperR
   {
    selection = "levy dalsi tlumic";
   };
   class BackWheelDamperL: FrontWheelDamperR
   {
    selection = "levy zadni tlumic";
   };
   class BackWheelDamper2L: FrontWheelDamperR
   {
    selection = "levy prostredni tlumic";
   };
   class damageVez: damageHide
   {
    selection = "damageVez";
   };
   class damageHlaven: damageHide
   {
    selection = "damageHlaven";
   };
 
   //=========
   //LIGHTBAR=
   //=========
	class SubLightbar
	{
		source = "slow_func";
		type = "rotation";
		animPeriod = 0.5;
		selection = "sub_lights";
		axis = "sub_lights_axis";
		angle0 = 0;
		angle1 = "- 1.6";
	};
	//========
	//========
	//========
	
	//=========
   //SIRENS====
   //==========
	class SubSirens
	{
		source = "slow_func";
		type = "rotation";
		animPeriod = 0.5;
		selection = "sub_sirens";
		axis = "sub_sirens_axis";
		angle0 = 0;
		angle1 = "- 1.6";
	};
	//=========
	//=========
	//=========
  };
 };
 class suburban_police: Car{};
};

class CfgSounds
{
	class Sub_Siren
	{
		sound[] = {"\suburban_police\sounds\SubSiren.ogg", "db10", 1};
		name = "Sub_Siren";
		titles[] = {};
	};
};

class CfgWeapons 
{
	class Default;	// External class reference
	class CarHorn;	// External class reference
	class SportCarHorn;	// External class reference
	
	class HornPullover : SportCarHorn 
	{
		scope = public;
		displayName = "Siren Pullover";
		drySound[] = {"\suburban_police\Sounds\siren.ogg", "db10", 1};
	};
	
	class HornWail : SportCarHorn 
	{
		scope = public;
		displayName = "Siren Wail";
		drySound[] = {"\suburban_police\Sounds\wail.ogg", "db10", 1};
	};
	
	class HornRing : SportCarHorn 
	{
		scope = public;
		displayName = "Siren Ring";
		drySound[] = {"\suburban_police\Sounds\ring.ogg", "db10", 1};
	};
	
	class HornStand : CarHorn
	{
		scope = public;
		displayName = "Horn";
	};
};

class CfgVehicles
{
 class car_sedan;
 
 class suburban_police: car_sedan
 {
  maxSpeed = 300;
  displayName = "suburban_police";
  model = "\suburban_police\suburban_police";

  soundEngine[] = {"\suburban_police\sounds\engine.wss",db+1,1 };
  soundGear[] = {"\ca\wheeled\Data\Sound\shifter_v3",0.000562341,1};
  SoundGetIn[] = {"\ca\wheeled\Data\Sound\Humvee_DoorOpenClose",0.00562341,1};
  SoundGetOut[] = {"\ca\wheeled\Data\Sound\Humvee_DoorOpenClose",0.00316228,1};
  dammageHalf[] = {"\ca\wheeled\data\sedan_glass_ca.paa","\ca\wheeled\data\sedan_glassbr1_ca.paa","\ca\wheeled\data\sedan_glass_ca.paa","\ca\wheeled\data\sedan_glassbr1_ca.paa"};
  dammageFull[] = {"\ca\wheeled\data\sedan_glass_ca.paa","\ca\wheeled\data\sedan_glassbr2_ca.paa","\ca\wheeled\data\sedan_glass_ca.paa","\ca\wheeled\data\sedan_glassbr2_ca.paa"};
  hiddenSelections[] = {"lightbar_lit", "front_light_lit_right", "front_light_lit_left"};
  weapons[] = {"HornStand","HornPullover","HornWail", "HornRing"};
  
  armorWheels=0.07;
  armor=70; // total armor
  armorStructural=6.0; // very low structural damage
	armorEngine=1.6;
	brakeDistance=10; 
	turnCoef=6.750000;
	//terrainCoef=3.000000;
	terrainCoef=3.000000;
	cost=30000;
	fuelCapacity= 470;
    driverAction = "UAZ_Driver";
	transportSoldier = 1;
	transportMaxMagazines=15;
	transportMaxWeapons=5;
     
	selectionBrakeLights="brzdove svetlo";
	selectionBackLights="zadni svetlo";

		
			
   class Damage
   {
    tex[] = {};
    mat[] = {"ca\wheeled\data\sedan_ext.rvmat","ca\wheeled\data\sedan_ext.rvmat","ca\wheeled\data\sedan_ext_destruct.rvmat","ca\wheeled\data\sedan_int.rvmat","ca\wheeled\data\sedan_int.rvmat","ca\wheeled\data\sedan_int_destruct.rvmat"};
   };
   
   class AnimationSources
	{
		class slow_func
		{
			source = "user";
			animPeriod = 0.5;
			initPhase = 0;
		};
	};
	
   class UserActions
		{
			class LightbarOn
			{
				displayName = "Lightbar On";
				position = "sub_lights_axis";
				radius = 5;
				onlyforplayer = 1;
				condition = "this animationPhase ""SubLightbar"" < 0.5 && driver this == player";
				statement = "this animate [""SubLightbar"",1]";
			};
			
			class LightbarOff
			{
				displayName = "Lightbar Off";
				position = "sub_lights_axis";
				radius = 5;
				onlyforplayer = 1;
				condition = "this animationPhase ""SubLightbar"" >= 0.5 && driver this == player";
				statement = "this animate [""SubLightbar"",0]";
			};
			
			class SirensOn
			{
				displayName = "Siren On";
				position = "sub_sirens_axis";
				radius = 5;
				onlyforplayer = 1;
				condition = "this animationPhase ""SubSirens"" < 0.5 && driver this == player";
				statement = "this animate [""SubSirens"",1]";
			};
			
			class SirensOff
			{
				displayName = "Siren Off";
				position = "sub_sirens_axis";
				radius = 5;
				onlyforplayer = 1;
				condition = "this animationPhase ""SubSirens"" >= 0.5 && driver this == player";
				statement = "this animate [""SubSirens"",0]";
			};


		
			class open_driver_door
			{
				displayName="Open driver door";
				position="Pos_driverdoor";
				radius=2.000000;
				condition="this animationPhase ""driverdoor"" < 0.5";
				statement="this animate [""driverdoor"", 1]";
			};
			
			class close_driver_door
			{
				displayName="Close driver door";
				position="Pos_driverdoor";
				radius=2.000000;
				condition="this animationPhase ""driverdoor"" >= 0.5";
				statement="this animate [""driverdoor"", 0]";
			};



		};
		
		class EventHandlers
		{
			init = "handel = [_this select 0] execVM ""suburban_police\scripts\sub_lights.sqf""; handel = [_this select 0] execVM ""suburban_police\scripts\sub_sirens.sqf""";
		};
 };
};
